package cc.toph.progression.registry;

import cc.toph.progression.util.CompatRecord;
import net.sweenus.simplyswords.SimplySwords;

/**
 * A registry for compatibility records. Each record represents
 * a supported mod's integration setup.
 *
 * <p>Use {@link #registerCompats()} to initialize all integrations.</p>
 */

public final class CompatRegistry {

//    /**
//     * Compatibility setup for the Create mod.
//     */
//    public static final CompatRecord<AdditionalAdditionsToolMaterials> ADDITIONAL_ADDITIONS = new CompatRecord<>(
//            AdditionalAdditions.namespace,
//            "6.0.1",
//            AdditionalAdditionsToolMaterials.class
//    );
//
//    /**
//     * Compatibility setup for the Create mod.
//     */
//    public static final CompatRecord<CreateToolMaterials> CREATE = new CompatRecord<>(
//            Create.ID,
//            "0.5.1.j-55",
//            CreateToolMaterials.class
//    );
//
//    /**
//     * Compatibility setup for the Create Deep Dark mod.
//     */
//    public static final CompatRecord<CreateDeepDarkToolMaterials> CREATE_DEEP_DARK = new CompatRecord<>(
//            CreateDeepDarkMod.MODID,
//            "1.7.0",
//            CreateDeepDarkToolMaterials.class
//    );
//
//    /**
//     * Compatibility setup for the Create Deep Dark mod.
//     */
//    public static final CompatRecord<PureCopperToolMaterials> PURE_COPPER = new CompatRecord<>(
//            PurecoppertoolsMod.MODID,
//            "1.0.1",
//            PureCopperToolMaterials.class
//    );
//
//    /**
//     * Compatibility setup for the TFMG mod.
//     */
//    public static final CompatRecord<TFMGToolMaterials> TFMG = new CompatRecord<>(
//            CreateTFMG.MOD_ID,
//            "0.9.3-1.20.1",
//            TFMGToolMaterials.class
//    );
//

    public static final CompatRecord SIMPLY_SWORDS = new CompatRecord(
            SimplySwords.MOD_ID,
            "1.56.0-1.20.1"
    );

    /**
     * Initializes all declared compat records.
     */
    public static void registerCompats() {
        SIMPLY_SWORDS.register();
    }
}

