package cc.toph.progression.registry;

import cc.toph.progression.config.Config;
import cc.toph.progression.config.ConfigProvider;

public final class ConfigRegistry {
    public static final class TIER_ATTRIBUTES {

        public static float COPPER;
        public static boolean COPPER_ENABLED;
        public static float EXPOSED_COPPER;
        public static boolean EXPOSED_COPPER_ENABLED;
        public static float WEATHERED_COPPER;
        public static boolean WEATHERED_COPPER_ENABLED;
        public static float OXIDIZED_COPPER;
        public static boolean OXIDIZED_COPPER_ENABLED;

        public static float ROSE_GOLD;
        public static boolean ROSE_GOLD_ENABLED;

        public static float STEEL;
        public static boolean STEEL_ENABLED;

        public static float STURDY;
        public static boolean STURDY_ENABLED;

        public static float ECHO;
        public static boolean ECHO_ENABLED;

        public static float REFINED;
        public static boolean REFINED_ENABLED;

        public static float SHOCK;
        public static boolean SHOCK_ENABLED;

        public static float VOID;
        public static boolean VOID_ENABLED;

        public static float WHITHER;
        public static boolean WHITHER_ENABLED;


        public static final ConfigProvider PROVIDER = new ConfigProvider("tier_attributes");

        public static void register() {
            Config config = new Config(PROVIDER);

            COPPER = config.registerProp(
                    "copper_damage_modifier",
                    3.0f,
                    "Copper Damage Modifier"
            );
            COPPER_ENABLED = config.registerProp(
                    "copper_enabled",
                    true,
                    "Enable Copper Tier"
            );

            EXPOSED_COPPER = config.registerProp(
                    "exposed_copper_damage_modifier",
                    3.0f,
                    "Exposed Copper Damage Modifier"
            );
            EXPOSED_COPPER_ENABLED = config.registerProp(
                    "exposed_copper_enabled",
                    true,
                    "Enable Exposed Copper Tier"
            );

            WEATHERED_COPPER = config.registerProp(
                    "weathered_copper_damage_modifier",
                    3.0f,
                    "Weathered Copper Damage Modifier"
            );
            WEATHERED_COPPER_ENABLED = config.registerProp(
                    "weathered_copper_enabled",
                    true,
                    "Enable Weathered Copper Tier"
            );

            OXIDIZED_COPPER = config.registerProp(
                    "oxidized_copper_damage_modifier",
                    3.5f,
                    "Oxidized Copper Damage Modifier"
            );
            OXIDIZED_COPPER_ENABLED = config.registerProp(
                    "oxidized_copper_enabled",
                    true,
                    "Enable Oxidized Copper Tier"
            );

            ROSE_GOLD = config.registerProp(
                    "rose_gold_damage_modifier",
                    3.0f,
                    "Rose Gold Damage Modifier"
            );
            ROSE_GOLD_ENABLED = config.registerProp(
                    "rose_gold_enabled",
                    true,
                    "Enable Rose Gold Tier"
            );

            STEEL = config.registerProp(
                    "steel_damage_modifier",
                    3.5f,
                    "Steel Damage Modifier"
            );
            STEEL_ENABLED = config.registerProp(
                    "steel_enabled",
                    true,
                    "Enable Steel Tier"
            );

            STURDY = config.registerProp(
                    "sturdy_damage_modifier",
                    3.5f,
                    "Sturdy Damage Modifier"
            );
            STURDY_ENABLED = config.registerProp(
                    "sturdy_enabled",
                    true,
                    "Enable Sturdy Tier"
            );

            ECHO = config.registerProp(
                    "echo_damage_modifier",
                    5.0f,
                    "Echo Damage Modifier"
            );
            ECHO_ENABLED = config.registerProp(
                    "echo_enabled",
                    true,
                    "Enable Echo Tier"
            );

            REFINED = config.registerProp(
                    "refined_damage_modifier",
                    4.5f,
                    "Refined Damage Modifier"
            );
            REFINED_ENABLED = config.registerProp(
                    "refined_enabled",
                    true,
                    "Enable Refined Tier"
            );

            SHOCK = config.registerProp(
                    "shock_damage_modifier",
                    4.5f,
                    "Shock Damage Modifier"
            );
            SHOCK_ENABLED = config.registerProp(
                    "shock_enabled",
                    true,
                    "Enable Shock Tier"
            );

            VOID = config.registerProp(
                    "void_damage_modifier",
                    4.5f,
                    "Void Damage Modifier"
            );
            VOID_ENABLED = config.registerProp(
                    "void_enabled",
                    true,
                    "Enable Void Tier"
            );

            WHITHER = config.registerProp(
                    "whither_damage_modifier",
                    4.5f,
                    "Whither Damage Modifier"
            );
            WHITHER_ENABLED = config.registerProp(
                    "whither_enabled",
                    true,
                    "Enable Whither Tier"
            );

            config.register();
        }

    }

    public static void registerConfigs() {
        TIER_ATTRIBUTES.register();
    }
}
