package cc.toph.progression.registry;

import cc.toph.progression.util.Helpers;
import dev.architectury.registry.registries.DeferredRegister;
import dev.architectury.registry.registries.RegistrySupplier;
import net.minecraft.core.registries.Registries;
import net.minecraft.world.item.CreativeModeTab;
import net.minecraft.world.item.ItemStack;
import net.minecraft.world.item.Items;

import static cc.toph.progression.util.Constants.MOD_ID;

public class TabRegistry {

    private static final DeferredRegister<CreativeModeTab> REGISTRY = DeferredRegister.create(
            MOD_ID,
            Registries.CREATIVE_MODE_TAB
    );

    public static final RegistrySupplier<CreativeModeTab> PROGRESSION = REGISTRY.register(
            MOD_ID,
            Helpers.supplyCreativeTab(String.format(
                    "creativeTab.%s.%s", MOD_ID, MOD_ID),
                    new ItemStack(Items.STICK)
            )
    );

    public static void registerTabs() {
        REGISTRY.register();
    }
}
