package cc.toph.progression.forge;

import cc.toph.progression.Progression;
import cc.toph.progression.forge.datagen.DataGeneration;
import cc.toph.progression.util.Constants;
import dev.architectury.platform.forge.EventBuses;
import net.minecraftforge.eventbus.api.IEventBus;
import net.minecraftforge.fml.common.Mod;
import net.minecraftforge.fml.javafmlmod.FMLJavaModLoadingContext;

import java.util.Collections;
import java.util.HashMap;
import java.util.Map;
import java.util.Optional;

@Mod(Constants.MOD_ID)
public final class ProgressionForge {

    private static final Map<String, IEventBus> EVENT_BUSSES = Collections.synchronizedMap(new HashMap<>());


    @SuppressWarnings("removal")
    public ProgressionForge() {
        // Submit our event bus to let Architectury API register our content on the right time.
        var modEventBus = FMLJavaModLoadingContext.get().getModEventBus();
        EventBuses.registerModEventBus(Constants.MOD_ID, modEventBus);

        // Run our common setup.
        Progression.init();

        // DataGen Listener
        modEventBus.addListener(DataGeneration::generate);
    }

    public static Optional<IEventBus> getModEventBus(String modId) {
        return Optional.ofNullable(EVENT_BUSSES.get(modId));
    }

}
